Find the answer to your Linux question:
Results 1 to 3 of 3
i'am a linux newbie. i have a sound problem in ubuntu (wheeze sound). so i had downloaded a new ALSA sound driver. when configure is ok, but make is error ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Jan 2007
    Posts
    1

    Unhappy ALSA driver make error


    i'am a linux newbie.
    i have a sound problem in ubuntu (wheeze sound). so i had downloaded a new ALSA sound driver. when configure is ok, but make is error :

    Code:
    make[1]: Entering directory `/usr/src/linux-headers-2.6.17-10-generic'
      CC [M]  /usr/src/alsa/alsa-driver-1.0.9rc4a/acore/hpetimer.o
    In file included from /usr/src/alsa/alsa-driver-1.0.9rc4a/include/adriver.h:674,
                     from /usr/src/alsa/alsa-driver-1.0.9rc4a/include/sound/driver.h:42,
                     from /usr/src/alsa/alsa-driver-1.0.9rc4a/acore/hpetimer.c:22:
    include/linux/pci.h:496: error: expected identifier or ( before numeric constant
    make[3]: *** [/usr/src/alsa/alsa-driver-1.0.9rc4a/acore/hpetimer.o] Error 1
    make[2]: *** [/usr/src/alsa/alsa-driver-1.0.9rc4a/acore] Error 2
    make[1]: *** [_module_/usr/src/alsa/alsa-driver-1.0.9rc4a] Error 2
    make[1]: Leaving directory `/usr/src/linux-headers-2.6.17-10-generic'
    make: *** [compile] Error 2
    please help me solve this.
    Thanks!

    ps. my ubuntu is 6.10, i had already installed build-essential and kernel-package. my onboard soundcard is via82xx.

  2. #2
    Just Joined!
    Join Date
    Mar 2007
    Posts
    1

    unfortunately

    same problem here...

  3. #3
    Just Joined!
    Join Date
    Nov 2006
    Posts
    3
    I had the same problem with 1.0.9rc4 until i saw there was a more recent version. It worked fine with alsa driver 1.0.13

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •